Print Management

Print Management provides a single interface that administrators can use to efficiently administer multiple printers and print servers. You can use Print Management to manage printers on computers that are running Microsoft® Windows® 2000, Windows XP, Windows Server® 2003, Windows Vista®, or Windows Server 2008.

  • Overview of Print Services

  • Checklist: Deploy Print Servers

  • Deploying Printers and Print Servers

  • Managing Printers and Print Servers

  • Resources for Print Management


Overview of Print Services

Print Services in Windows Vista and Windows Server 2008 enables you to share printers on a network and centralize print server and network printer management tasks by using the Print Management Microsoft Management Console (MMC) snap-in. Print Management helps you monitor print queues and receive notifications when print queues stop processing print jobs. It also enables you to migrate print servers and deploy printer connections using Group Policy.

The following sections provide more information about Print Services:

  • Tools for managing a print server

  • Print Services role services

Tools for managing a print server

There are two primary tools that you can use to administer a Windows print server: Server Manager and Print Management. On Windows Server 2008, you can use Server Manager to install the Print Services server role, optional role services, and features. Server Manager also displays print-related events from Event Viewer and includes an instance of the Print Management snap-in, which can administer the local server only.

The Print Management snap-in is available in the Administrative Tools folder on computers running Windows Vista Business, Windows Vista Enterprise, Windows Vista Ultimate and Windows Server 2008. You can use it to install, view, and manage all of the printers and Windows print servers in your organization.

Print Management provides current details about the status of printers and print servers on the network. You can use Print Management to install printer connections to a group of client computers simultaneously and to monitor print queues remotely. Print Management can help you find printers that have an error condition by using filters. It can also send e-mail notifications or run scripts when a printer or print server needs attention. On printers that provide a Web-based management interface, Print Management can display more data, such as toner and paper levels.

Note

To manage a remote print server, you must be a member of the Print Operators or Server Operators groups, or the local Administrators group on the remote print server. You do not need these credentials to monitor remote print servers, though some functionality will be disabled.

Print Services role services

The Print Services role in Windows Server 2008 includes three role services:

  • Print Server

  • LPD Service

  • Internet Printing

Together, these role services provide all of the functionality of a Windows print server. You can add these role services while you are installing the Print Services role using the Add Roles Wizard of Server Manager. Or you can install them at a later time by using the Add Role Services Wizard of Server Manager.

Note

Because Windows Vista is a client operating system, it does not include role services. Instead, it includes the Print Management snap-in by default in Windows Vista Business, Windows Vista Enterprise, and Windows Vista Ultimate. Windows Vista also includes LPD Print Service as an optional Windows feature. You can install LPD Print Service from Control Panel by using the Programs and Features item. Windows Vista does not include the Internet Printing feature.

Print Server

Print Server is a required role service of the Print Services role. It adds the Print Services role to Server Manager, and it installs the Print Management snap-in. Print Management is used for managing multiple printers or print servers and migrating printers to and from other Windows print servers. After you share a printer, Windows enables the File and Printer sharing exception in Windows Firewall with Advanced Security.

LPD Service

The Line Printer Daemon (LPD) Service installs and starts the TCP/IP Print Server (LPDSVC) service, which enables UNIX-based computers or other computers that are using the Line Printer Remote (LPR) service to print to shared printers on this server. It also creates an inbound exception for port 515 in Windows Firewall with Advanced Security.

No configuration is necessary for this service. However, if you stop or restart the Print Spooler service, the TCP/IP Print Server service is also stopped, and it is not automatically restarted.

To use a computer that is running Windows Vista or Windows Server 2008 to print to a printer or print server that uses the LPD protocol, you can use the Network Printer Installation wizard and a Standard TCP/IP printer port. However you must install the Line Printer Remote (LPR) Port Monitor feature to print to a UNIX print server. To do so, use one of the following methods:

  • In Windows Vista: in Control Panel, click Programs and Features, click Turn Windows features on or off, expand Print Services, select the LPR Port Monitor check box, and then click OK.

  • In Windows Server 2008: in Server Manager, click Add Features, select the LPR Port Monitor check box, and then click OK.

Internet Printing

The Internet Printing role service in Windows Server 2008 creates a Web site hosted by Internet Information Services (IIS). This Web site enables users to:

  • Manage print jobs on the server.

  • Use a Web browser to connect and print to shared printers on this server by using the Internet Printing Protocol (IPP). (Users must have Internet Printing Client installed.)

To manage a server by using the Web site created by Internet Printing, open a Web browser and navigate to http://servername/printers, where servername is the UNC path of the print server.

To install the Internet Printing Client, use one of the following methods:

  • In Windows Vista: in Control Panel, click Programs and Features, click Turn Windows features on or off, expand Print Services, select the Internet Printing Client check box, and then click OK.

  • In Windows Server 2008: in Server Manager, click Add Features, select the Internet Printing Client check box, and then click OK.

Additional references

  • Print Management

  • Installing and opening Print Management


Checklist: Deploy Print Servers

Task | Reference
Review the basic concepts of the Print Services role | Overview of Print Services
Install Print Management and open the Print Management snap-in | Installing and opening Print Management
Add and remove print servers from the Print Management snap-in | Add and remove print servers
Migrate or consolidate print servers | Migrate print servers
Add network printers to the print server automatically | Add network printers automatically
Deploy printer connections to users or computers | Deploy printers by using Group Policy
List printers in Active Directory Domain Services | List and remove printers from Active Directory Domain Services
Install updated printer drivers on the server, including 32-bit or 64-bit drivers | Update and manage printer drivers
Control how users who are not members of the local Administrators group can install printer drivers | Control printer driver installation security


Deploying Printers and Print Servers

The following sections provide information about how to deploy printers and print servers:

  • Installing and opening Print Management

  • Add and remove print servers

  • Migrate print servers

  • Add network printers automatically

  • Deploy printers by using Group Policy

  • List and remove printers from Active Directory Domain Services


Installing and opening Print Management

Print Management is installed by default on computers running Windows Vista Business, Windows Vista Enterprise, and Windows Vista Ultimate, but it is not installed on computers running Windows Server 2008. Use one of the following methods to install the Print Management snap-in on a computer running Windows Server 2008:

  • From Server Manager, use the Add Roles Wizard to install the Print Services role. This installs the Print Management snap-in and configures the server to be a print server.

  • From Server Manager, use the Add Features Wizard to install the Print Services Tools option of the Remote Server Administration Tools feature. The Print Services Tools option installs the Print Management snap-in, but it does not configure the server to be a print server.

To open Print Management on a computer running Windows Vista or Windows Server 2008, in the Administrative Tools folder, double-click Print Management.

Note

Print Management may not accurately display the status of remote computers when it is monitoring more than 10 print servers on a computer that is running Windows Vista. This is because computers running Windows Vista support a maximum of 10 concurrent network connections. To remotely monitor a large number of print servers, use Remote Desktop to log on to a computer that has Print Management installed and is running Windows Server 2008.


Add and remove print servers

By default, Print Management allows you to manage the local computer. However, you can manage or monitor any number of print servers that are running Windows 2000, Windows XP, Windows Server 2003, Windows Vista, or Windows Server 2008 by adding the print servers to Print Management.

Note

Print Management may not accurately display the status of remote computers when monitoring more than 10 print servers on a computer running Windows Vista. This is because computers running Windows Vista support a maximum of 10 concurrent network connections. To remotely monitor a large number of print servers, use Remote Desktop to log on to a computer that has Print Management installed and is running Windows Server 2008.

To add print servers to Print Management

  1. Open the Administrative Tools folder, and then double-click Print Management.

  2. In the Print Management tree, right-click Print Management, and then click Add/Remove Servers.

  3. In the Add/Remove Servers dialog box, under Specify print server, in Add server, do one of the following:

    • Type or paste the names of the print servers—use commas to separate computer names.

    • Click Browse to locate and select the print server.

  4. Click Add to List.

  5. Add as many print servers as you want, and then click OK.

    Note

    You can add the local server on which you are working by clicking Add the Local Server. You cannot add remote servers to Print Management from within Server Manager.
To remove print servers from Print Management

  1. Open the Administrative Tools folder, and then double-click Print Management.

  2. In the Print Management tree, right-click Print Management, and then click Add/Remove Servers.

  3. In the Add/Remove Servers dialog box, under Print servers, select one or more servers, and click Remove.

Additional references

  • Deploying Printers and Print Servers


Migrate print servers

You can use the Printer Migration Wizard or the Printbrm.exe command-line tool to export print queues, printer settings, printer ports, and language monitors, and then import them on another print server running a Windows operating system. This is an efficient way to consolidate multiple print servers or replace an older print server.

Note

The Printer Migration Wizard and the Printbrm.exe command-line tool were introduced in Windows Vista. They replace Print Migrator 3.1.

Migrating print servers

  • Using the Windows interface

  • Using a command prompt

To migrate print servers by using Print Management

  1. Open the Administrative Tools folder, and then click Print Management.

  2. In the Print Management tree, right-click the name of the computer that contains the printer queues that you want to export, and then click Export printers to a file. This launches the Printer Migration Wizard.

  3. On the Select the file location page, specify the location to save the printer settings, and then click Next to save the printers.

  4. Right-click the destination computer on which you want to import the printers, and then click Import printers from a file. This launches the Printer Migration Wizard.

  5. On the Select the file location page, specify the location of the printer settings file, and then click Next.

  6. On the Select import options page, specify the following import options:

    • Import mode. Specifies what to do if a specific print queue already exists on the destination computer.

    • List in the directory. Specifies whether to publish the imported print queues in the Active Directory Domain Services.

    • Convert LPR Ports to Standard Port Monitors. Specifies whether to convert Line Printer Remote (LPR) printer ports in the printer settings file to the faster Standard Port Monitor when importing printers.

  7. Click Next to import the printers.
To migrate print servers by using a command prompt

  1. To open a Command Prompt window, click Start, click All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.

  2. Type:

    CD %WINDIR%\System32\Spool\Tools
Printbrm -s \\<sourcecomputername> -b -f <filename>.printerExport

  3. Type:

    Printbrm -s \\<destinationcomputername> -r -f <filename>.printerExport

Value | Description
<sourcecomputername> | The Universal Naming Convention (UNC) name of the source or destination computer.
<destinationcomputername> | The Universal Naming Convention (UNC) name of the destination computer.
<filename> | The file name for the printer settings file. Use the .printerExport or .cab file extensions.
Note

To view the complete syntax for this command, at a command prompt type: Printbrm /?

Additional considerations

  • The Printer Migration Wizard and Printbrm.exe can import custom forms and color profiles to the local computer only, and they do not support printer settings that are exported using the Print Migrator tool.

  • The Printer Migration Wizard and Printbrm.exe can import and export printers on computers running Windows 2000, Windows XP, Windows Server 2003, Windows Vista, or Windows Server 2008. However, some drivers might not import properly on some operating systems. For example, computers running Windows 2000 do not support x64-based printer drivers.

  • You can use the Task Scheduler feature of Windows to schedule the Printbrm.exe tool to regularly export or import printers. You can use this feature to supplement system backups.

Additional references

  • Deploying Printers and Print Servers

  • Command-line syntax notation


Add network printers automatically

Print Management (Printmanagement.msc) can automatically detect all the printers that are located on the same subnet as the computer on which you are running Print Management, install the appropriate printer drivers, set up the queues, and share the printers.

To automatically add network printers to a printer server

  1. Open the Administrative Tools folder, and then double-click Print Management.

  2. In the Printer Management tree, right-click the appropriate server, and then click Add Printer.

  3. On the Printer Installation page of the Network Printer Installation Wizard, click Search the network for printers, and then click Next. If prompted, specify which driver to install for the printer.
Note

To detect network printers on the same subnet as a remote server, use Remote Desktop to log on to the print server, open Print Management and add the network printer.

Additional references

  • Deploying Printers and Print Servers


Deploy printers by using Group Policy

You can use Print Management (Printmanagement.msc) with Group Policy to automatically deploy printer connections to users or computers and install the appropriate printer drivers. This method of installing a printer is useful in a laboratory, classroom, or branch office setting where most computers or users need to access the same printers. It is also a useful method for deploying printer drivers to users who are not members of the local Administrators group and are running Windows Vista.

To deploy printer connections by using Group Policy, your environment must meet the following requirements:

  • The Active Directory Domain Services (AD DS) schema must use a Windows Server 2003 R2 or Windows Server 2008 schema version.

  • Client computers running Windows 2000, Windows XP, or Windows Server 2003 must use the PushPrinterConnections.exe tool in a startup script (for per-computer connections) or in a logon script (for per-user connections).

The following topics provide information about how to deploy printer connections by using Group Policy:

  • Deploy printer connections

  • Deploy the PushPrinterConnections.exe utility

  • Change driver installation security for printers deployed using Group Policy

Important

To perform these procedures, you must be a member of the local Administrators group and have write access to Group Policy objects (GPOs) in the AD DS domain or the organizational unit (OU) to which you want to deploy printer connections.

Additional references

  • Deploying Printers and Print Servers

  • Visit the Group Policy page of the Windows Server 2008 Technical Library (http://go.microsoft.com/fwlink/?LinkId=92735)


Deploy printer connections

To deploy printer connections to users or computers by using Group Policy, use the Deploy with Group Policy dialog box in Print Management. This adds the printer connections to a Group Policy object (GPO).

To deploy printers to users or computers by using Group Policy

  1. Open the Administrative Tools folder, and then double-click Print Management.

  2. In the Print Management tree, under the appropriate print server, click Printers.

  3. In the Results pane, right-click the printer that you want to deploy, and then click Deploy with Group Policy.

  4. In the Deploy with Group Policy dialog box, click Browse, and then choose or create a new GPO for storing the printer connections.

  5. Click OK.

  6. Specify whether to deploy the printer connections to users, or to computers:

    • To deploy to groups of computers so that all users of the computers can access the printers, select the The computers that this GPO applies to (per machine) check box.

    • To deploy to groups of users so that the users can access the printers from any computer they log onto, select the The users that this GPO applies to (per user) check box.

    Note

    Client computers running Windows 2000 do not support per-computer connections.

  7. Click Add.

  8. Repeat steps 3 through 6 to add the printer connection setting to another GPO, if necessary.

  9. Click OK.

Note

For per-computer connections, Windows adds the printer connections when the user logs on (or when the computer restarts if you are using the PushPrinterConnections.exe utility). For per-user connections, Windows adds the printer connections during background policy refresh (or when the user logs on if you are using the PushPrinterConnections.exe utility). If you remove the printer connection settings from the GPO, Windows removes the corresponding printers from the client computer during the next background policy refresh or user logon (or on the next restart or user logon if you are using the PushPrinterConnections.exe utility).

Additional references

  • Deploy printers by using Group Policy

  • Deploy the PushPrinterConnections.exe utility


Deploy the PushPrinterConnections.exe utility

To deploy printer connections by using Group Policy on computers that are running versions of Windows released prior to Windows Vista, you must add the PushPrinterConnections.exe utility to a computer startup script or to a user logon script. The PushPrinterConnections.exe utility reads the printer connection settings from Group Policy and adds the appropriate printer connections to the computer or user account (or updates existing connections).

The PushPrinterConnections.exe file automatically detects and exits on computers running Windows Vista or Windows Server 2008. These computers have built-in support for printer connections that are deployed using Group Policy, so you can safely deploy this file to all the client computers in your organization.

Note

The following procedure assumes that you are using the version of the Group Policy Management Console (GPMC) that is included with Windows Server 2008. To install GPMC on Windows Server 2008, use the Add Features Wizard in Server Manager. If you are using a different version of GPMC, the steps might vary slightly.

To add the PushPrinterConnections.exe file to startup or logon scripts

  1. Open the GPMC.

  2. In the GPMC console tree, navigate to the domain or organizational unit (OU) that stores the computer or user accounts where you want to deploy the PushPrinterConections.exe utility.

  3. Right-click the GPO that contains the printer connections that you want to deploy using Group Policy, and then click Edit.

  4. Navigate to one of the following locations:

    • If the printer connections are deployed per-computer, go to Computer Configuration, Policies, Windows Settings, Scripts (Startup/Shutdown).

    • If the printer connections are deployed per-user, go to User Configuration, Policies, Windows Settings, Scripts (Logon/Logoff).

    Note

    Client computers running Windows 2000 do not support per-computer connections.

  5. Right-click Startup or Logon, and then click Properties.

  6. In the Startup Properties or Logon Properties dialog box, click Show Files. The Startup or Logon window appears.

  7. Copy the PushPrinterConnections.exe file from the %WINDIR%\System32 folder to the Startup or Logon window. This adds the utility to the GPO, where it will replicate to the other domain controllers with the Group Policy settings.

  8. In the Startup Properties or Logon Properties dialog box, click Add. The Add Script dialog box appears.

  9. In the Script Name box, type: PushPrinterConnections.exe

  10. To enable logging on client computers running Windows Server 2003, Windows XP, or Windows 2000, in the Script Parameters box, type: –log

    Log files are written to %WINDIR%\temp\ppcMachine.log (for per-computer connections) and to %temp%\ppcUser.log (for per-user connections) on the computer where the policy is applied.

  11. In the Add Script dialog box, click OK.

  12. In the Startup Properties or Logon Properties dialog box, click OK.

  13. Use GPMC to link the GPO to other OUs or domains to which you want to deploy the PushPrinterConnections.exe utility.

Additional references

  • Deploy printers by using Group Policy


Change driver installation security for printers deployed using Group Policy

The default security settings for Windows Vista and Windows Server 2008 allow a user who is not a member of the local Administrators group to install only trustworthy printer drivers, such as those provided with Windows operating systems or in digitally signed printer-driver packages.

To allow users who are not members of the local Administrators group to install printer connections that are deployed using Group Policy and include printer drivers that are not digitally signed, you must configure the Point and Print Restrictions Group Policy settings. If you do not configure these Group Policy settings, users might need to provide the credentials of someone who belongs to the local Administrators group.

Note

The following procedure assumes that you are using the version of the Group Policy Management Console (GPMC) that is included with Windows Server 2008. To install GPMC on Windows Server 2008, use the Add Features Wizard in Server Manager. If you are using a different version of GPMC, the steps might vary slightly.

To change driver installation security settings for printers that are deployed by using Group Policy

  1. Open the GPMC.

  2. Open the GPO where the printer connections are deployed, and navigate to User Configuration, Policies, Administrative Templates, Control Panel, and then Printers.

  3. Right-click Point and Print Restrictions, and then click Properties.

  4. Click Enabled.

  5. Clear the following check boxes:

    • Users can only point and print to these servers

    • Users can only point and print to machines in their forest

  6. In the When installing drivers for a new connection box, select Do not show warning or elevation prompt.

  7. Scroll down, and in the When updating drivers for an existing connection box, select Show warning only.

  8. Click OK.

After configuring these settings, all users are able to receive printer connections and the drivers to their user accounts by using Group Policy, without prompts or warning. Users receive a warning before updated drivers from the print server are installed, but they do not need to belong to the local Administrators group to install the updated drivers.

Additional references

  • Deploy printers by using Group Policy

For more information about working with Group Policy:

  • Open Group Policy Management Console (GPMC) and click Help.

  • Visit the Group Policy page in the Windows Server 2008 Technical Library (http://go.microsoft.com/fwlink/?LinkID=92735).


List and remove printers from Active Directory Domain Services

Listing printers in Active Directory Domain Services (AD DS) makes it easier for users to locate and install printers. After you install printers on a printer server, you can use Print Management to list them in AD DS.

You can list more than one printer simultaneously. You may want to set up a filter to show all of the printers that you want to list or remove, so that you can easily select all of the printers at the same time.

To list or remove printers in AD DS

  1. Open the Administrative Tools folder, and then double-click Print Management.

  2. In the Print Management tree, under the appropriate print server, click Printers.

  3. In the Results pane, right-click the printer that you want to list or remove, and then click List in Directory or Remove from Directory.


Managing Printers and Print Servers

The following topics provide information about how to manage printers and print servers by using Print Management:

  • Update and manage printer drivers

  • Control printer driver installation security

  • Create a new printer filter

  • View extended features for your printer

You can perform bulk operations on all the printers on a particular server or all the printers under a particular filter. You can perform the following actions on multiple printers simultaneously:

  • Pause or resume printing

  • Cancel all jobs

  • List or remove printers from AD DS

  • Delete printers

You can also export a list of drivers, forms, ports, or printers by clicking More Actions in the Actions pane, and then clicking Export List.


Update and manage printer drivers

The following sections provide information about how to perform a variety of tasks when you update or manage printer drivers on a print server:

  • Add drivers for client computers running 32-bit or 64-bit versions of Windows

  • Update or change printer drivers

  • Remove drivers

Add drivers for client computers running 32-bit or 64-bit versions of Windows

To support client computers that use different processor architectures than the print server, you must install additional drivers. For example, if your print server is running a 64-bit version of Windows and you want to support client computers running 32-bit versions of Windows, you must add x86-based drivers for each printer.

To add client printer drivers to the print server

  1. Right-click the printer to which you want to add additional printer drivers, and then click Manage Sharing.

  2. Click Additional Drivers. The Additional Drivers dialog box appears.

  3. Select the check box of the processor architecture for which you want to add drivers.

    For example, if the print server is running an x64-based edition of Windows, select the x86 check box to install 32-bit version printer drivers for client computers running 32-bit versions of Windows.

  4. If the print server does not already have the appropriate printer drivers in its driver store, Windows prompts you for the location of the driver files. Download and extract the appropriate driver files, and then in the dialog box that appears, specify the path to the .inf file of the driver.

    Note

    You might not be able to extract some printer drivers without installing them. If this is the case, log on to a client computer that uses the same processor architecture as the printer drivers that you want to add to the print server, and install those printer drivers. Then use Print Management from the client computer to connect to the print server, and add the additional drivers from the Additional Drivers dialog box. Windows automatically uploads the drivers from the client computer to the print server.

Update or change printer drivers

To update or change the printer drivers for a printer, use the following procedure. Client computers automatically download and install the updated printer drivers the next time they attempt to print to the printer.

Note

When installing printer drivers that are provided by the device manufacturer, follow the instructions provided with the printer driver instead of using this procedure.

To update or change printer drivers for a printer

  1. Right-click the printer with the driver that you want to change or update, and then click Properties.

  2. Click the Advanced tab.

  3. Select a new driver from the Driver box, or click New Driver to install a new printer driver.

Remove printer drivers

When you install a printer driver on a computer that is running Windows Vista or Windows Server 2008, Windows first installs the printer driver to the local driver store, and then installs it from the driver store.

When removing printer drivers, you have the option to delete only the printer driver or remove the entire printer-driver package. If you delete the printer driver, Windows uninstalls the printer driver, but leaves the printer-driver package in the driver store to allow you to reinstall the driver at some point. If you remove the printer-driver package, Windows removes the package from the driver store, completely removing the printer driver from the computer.

To remove printer drivers from a server, use the following procedure:

To remove printer drivers

  1. Delete any printers on the print server that use the driver that you want to delete, or change the driver that is used by each printer to another driver.

  2. In the Print Management tree, click Drivers.

  3. Remove only the driver (which leaves the driver .inf file and related files on the server), or remove the printer-driver package:

    • To delete only the installed driver files, right-click the driver and then click Delete.

    • To remove the driver package from the driver store, completely removing the driver from the computer, right-click the driver and then click Remove driver package.

Additional references

  • Managing Printers and Print Servers

  • Printing Architecture and Driver Support (http://go.microsoft.com/fwlink/?LinkID=92657)


Control printer driver installation security

The default security settings for Windows Vista and Windows Server 2008 allow users who are not members of the local Administrators group to install only trustworthy printer drivers, such as those provided with Windows or in digitally signed printer-driver packages. This helps ensure that users do not install untested or unreliable printer drivers or drivers that have been modified to contain malicious code (malware). However, it means that sometimes users cannot install the appropriate driver for a shared printer, even if the driver has been tested and approved in your environment.

The following sections provide information about how to allow users who are not members of the local Administrators group to connect to a print server and install printer drivers that are hosted by the server:

  • Installing printer-driver packages on the print server

  • Using Group Policy to deploy printer connections to users or computers

  • Using Group Policy to modify printer driver security settings

Installing printer-driver packages on the print server

Printer-driver packages are digitally signed printer drivers that install all the components of the driver to the driver store on client computers (if the server and the client computers are running Windows Vista or Windows Server 2008). Additionally, using printer-driver packages on a print server that is running Windows Vista or Windows Server 2008 enables users who are not members of the local Administrators group to connect to the print server and install or receive updated printer drivers.

To use printer-driver packages, on a print server that is running Windows Server 2008 or Windows Vista, download and install the appropriate printer-driver packages from the printer vendor.

Note

You can also download and install printer-driver packages from a print server to client computers that are running Windows Server 2003, Windows XP, and Windows 2000. However, the client computers do not check the driver's digital signature or install all components of the driver into the driver store because the client operating system does not support these features.

Using Group Policy to deploy printer connections to users or computers

Print Management can be used with Group Policy to automatically add printer connections to the Printers folder, without the user requiring local Administrator privileges. For more information see Deploy printers by using Group Policy.

Using Group Policy to modify printer driver security settings

You can use the Point and Print Restrictions Group Policy setting to control how users can install printer drivers from print servers. You can use this setting to permit users to connect to only specific print servers that you trust. Because this prevents users from connecting to other print servers that could potentially host malicious or untested printer drivers, you can disable printer driver installation warning messages without adversely compromising security.

Carefully evaluate your users' printing needs before limiting which print servers they can connect to. If users occasionally need to connect to shared printers in a branch office or another department, make sure to include those printer servers on the list (if you trust the printer drivers that are installed on the servers).

You can also use the Point and Print Restrictions setting to disable warning prompts entirely, although this disables the enhanced printer driver installation security of Windows Vista and Windows Server 2008 for these users.

Note

The following procedure assumes that you are using the version of the Group Policy Management Console (GPMC) that is included with Windows Server 2008. To install GPMC on Windows Server 2008, use the Add Features Wizard of Server Manager. If you are using a different version of GPMC, the steps might vary slightly.

To modify the Point and Print Restrictions setting

  1. Open the Group Policy Management Console (GPMC).

  2. In the GPMC console tree, navigate to the domain or organizational unit (OU) that stores the user accounts for which you want to modify printer driver security settings.

  3. Right-click the appropriate domain or OU, click Create a GPO in this domain, and Link it here, type a name for the new GPO, and then click OK.

  4. Right-click the GPO that you created and then click Edit.

  5. In the Group Policy Management Editor tree, click User Configuration, click Policies, click Administrative Templates, click Control Panel, and then click Printers.

  6. Right-click Point and Print Restrictions, and then click Properties.

To permit users to connect only to specific print servers that you trust:

  1. In the Point and Print Restrictions dialog box, click Enabled.

  2. Select the Users can only point and print to these servers check box if it is not already selected.

  3. In the text box, type the fully qualified server names to which you want to allow users to connect. Separate each name with a semi-colon.

  4. In the When installing drivers for a new connection box, choose Do not show warning or elevation prompt.

  5. In the When updating drivers for an existing connection box, choose Show warning only.

  6. Click OK.

    Note

    To disable driver installation warning messages and elevation prompts on computers that are running Windows Vista and Windows Server 2008, in the Point and Print Restrictions dialog box, click Disabled, and then click OK. This disables the enhanced printer driver installation security of Windows Vista and Windows Server 2008.

Additional references

  • Managing Printers and Print Servers

  • Printing Architecture and Driver Support (http://go.microsoft.com/fwlink/?LinkID=92657)


Create a new printer filter

Filters display only those printers that meet a certain set of criteria. For example, it might be helpful to filter for printers with certain error conditions or those printers in a group of buildings regardless of the print server they use. Filters are stored in the Custom Printer Filters folder in the Print Management tree and are dynamic, so the data is always current.

Two default filters are provided with Print Management (Printmanagement.msc). For each filter that you create, you have the option to set up an e-mail notification or to run a script when the conditions of the filter are met. This is useful when you want to be alerted about printer problems, particularly in an organization with multiple buildings and administrators.

For example, you can set up a filter of all printers managed by a particular print server where the status does not equal Ready. Then, if a printer changes from the Ready status to any other status, the administrator could receive a notification e-mail from Print Management.

Note

The print server role must be installed and you must be a member of the Administrators group to perform these procedures.

To set up and save a filtered view

  1. Open the Administrative Tools folder, and then double-click Print Management.

  2. In the Print Management tree, right-click the Custom Printer Filters folder, and then click Add New Printer Filter. This will launch the New Printer Filter Wizard.

  3. On the Printer Filter Name and Description wizard page, type a name for the printer filter. The name will appear in the Custom Printer Filters folder in the Print Management tree.

  4. In Description, type an optional description.

  5. To display the number of printers that satisfy the conditions of a filter, select the Display the total number of printers next to the name of the printer filter check box

  6. Click Next.

  7. On the Define a printer filter wizard page, do the following:

    1. In the Field list, click the print queue or printer status characteristic.

    2. In the Condition list, click the condition.

    3. In the Value box, type a value.

    4. Continue adding criteria until your filter is complete, and then click Next.

  8. On the Set Notifications (Optional) wizard page, do one or both of the following:

    • To set an e-mail notification, select the Send e-mail notification check box, and type one or more recipient and sender e-mail addresses. An SMTP server must be specified to route the message. Use the format account@domain and semicolons to separate multiple accounts.

    • To set a script to run, select the Run script check box, and then type the path where the script file is located. To add more arguments, type them in Additional arguments.

  9. Click Finish.

    Note

    To set notifications on existing printer filters, right-click a filtered view, and then click Set Notifications.

Setting Optional Notifications

When you create or modify a filter, you have the option of sending an automatic e-mail notification to someone or running a script when the conditions of the filter are met. This is useful for resolving printer problems, particularly in an organization with multiple buildings and administrators.

For example, you can set up a view of all printers managed by a particular print server where the status does not equal Ready. Then, if a printer changes from the Ready status to another status, the administrator could receive a notification e-mail from Print Management.

In addition to setting notifications on a custom set of printers, you can set notifications on printer server objects. For example, if the server is offline, or the spooler goes down, an e-mail notification can be sent.

Setting script notifications are useful for resolving printer problems and troubleshooting. For example, you could automatically run a script to restart a spooler when printers go offline. You could also automatically run a script that prints a test page.

Scripts can be written in Visual Basic Script (.vbs) or any scripting language available on the computer. The script has to be on the computer with Print Management. The script should be running with your credentials and you need to have the permissions to do whatever it is that you want the script to do.


View extended features for your printer

In Print Management (Printmanagement.msc), extended view displays beneath the columns in the right pane, separated by a splitter bar. Extended view is useful when you want more information about the status of a print job, its owner, the number of pages, the size of the job, when it was submitted, its port, its priority, and other advanced job properties.

In addition, when the printer uses a Standard TCP/IP Port, extended view displays a Printer Web Page tab. When the printer supports a Web page, the extended view page provides details about the physical properties of the printer and specifications, and it sometimes allows remote administration.

To show extended view

  1. Open the Administrative Tools folder, and then double-click Print Management.

  2. In the Print Management tree, under any print server, right-click Printers, and then click Show Extended View.

    Note

    To display or hide columns in extended view, select a printer. On the Jobs tab, right-click the column heading row, and then click the name of the column that you want to display or hide.


Resources for Print Management

For more information about Print Management, see the following resources on the Microsoft Web site:

  • Print Services on the Windows Server 2008 TechCenter

    (http://go.microsoft.com/fwlink/?LinkId=92654)

  • Print Server Troubleshooting

    (http://go.microsoft.com/fwlink/?LinkId=92656)

  • Printing—Architecture and Driver Support

    (http://go.microsoft.com/fwlink/?LinkId=92657)

  • Windows Server 2008 Print/Fax TechNet Forum

    (http://go.microsoft.com/fwlink/?LinkId=92658)

  • Windows Vista Print TechNet Forum

    (http://go.microsoft.com/fwlink/?LinkId=92659)


Print Management Help buttons overview

The following topics provide descriptions of User Interface (UI) elements in Print Management:

  • Add/Remove Servers dialog box overview

  • Filter Properties dialog box overview

  • Deploy with Group Policy dialog box overview

  • Set Notifications dialog box overview


Add/Remove Servers dialog box overview

The following table provides descriptions of the User Interface (UI) elements for the Add/Remove Servers dialog box.

Element | Description
Add server | The name of the print server you want Print Management to manage.
Add to List | Adds the print server to the list at the bottom of the page and clears the Add Server box.
Add the Local Server | Adds the computer on which you are logged on to the list of managed print servers.
Remove | Deletes the selection.
Remove All | Clears the entire list.


Filter Properties dialog box overview

The following table provides descriptions of the User Interface (UI) elements for the Filter Properties dialog box.

Tab | Element | Description
General | Name | Provides a space for you to type a name for the printer filter.
General | Description | Provides a space for you to type a description for the printer filter that helps differentiate it from other printer filters.
Filter Criteria | Field | Lists the available print queue or printer status characteristic.
Filter Criteria | Condition | Lists the available conditions.
Filter Criteria | Value | Lists the available values.
Filter Criteria | Clear All | Clears all criteria fields.

See Also

  • Set Notifications dialog box overview


Deploy with Group Policy dialog box overview

The following table provides descriptions of the User Interface (UI) elements for the Deploy with Group Policy dialog box.

Element | Description
The users that this GPO applies to (per user) | Specifies whether to assign the printer connection setting to the GPO on a per-user basis.
The computers that this GPO applies to (per machine) | Specifies whether to assign the printer connection setting to the GPO on a per-machine basis.
Browse | Specifies the GPO that deploys the printer connection.
Add | Adds the printer connection setting.
Remove | Deletes the selection.
Remove All | Clears the entire list.


Set Notifications dialog box overview

The following table provides descriptions of the User Interface (UI) elements for the Set Notifications dialog box.

Element | Description
Send e-mail notification | Enables or disables sending an automatic e-mail notification to someone when the conditions of a filter are met.
Recipient e-mail address(es) | Provides a space for you to type the e-mail address of the recipient.
Sender e-mail address | Provides a space for you to type the e-mail address of the sender.
SMTP server | Provides a space for you to type the host name of the SMTP server that will forward the e-mail notifications.
Message | Provides a space for you to type a text message describing the conditions of the printer problem.
Run script | Enables or disables running a script when the conditions of a filter are met
Path | Provides a space for you to type the path where the script file is located.
Additional arguments | Provides a space for you to add more arguments.
Test | Tests the e-mail or script notification settings.


Command-line syntax notation

The following table describes the notation used to indicate command-line syntax.

Notation | Description
Text without brackets or braces | Items you must type as shown
<Text inside angle brackets> | Placeholder for which you must supply a value
[Text inside square brackets] | Optional items
{Text inside braces} | Set of required items; choose one
Vertical bar (|) | Separator for mutually exclusive items; choose one
Ellipsis (…) | Items that can be repeated